Schema: AccountRouteConfigTemplate (ID: 5121)
METADATA
| Attribute | Value |
|---|---|
| Topic | 5120-srse-gateway |
| MLink Token | SRAdvisors |
| MLink Endpoint | MLink-Live |
| SRSE Product |
Note: The symbol
=next to a field number indicates that it is a primary key.
BODY
| # | Field | Type | Default Value | Comment |
|---|---|---|---|---|
| 10= | templateName | string(32) | ||
| 11= | clientFirm | string(16) | ||
| 100 | execBrkrCode | string(16) | SR execBrkrCode (SR Assigned) | |
| 101 | enabled | enum : YesNo | yes=route enabled | |
| 103 | relationship | enum : RelationshipType | ||
| 106 | catDestFirmIMID | string(16) | Destination Firm IMID (supplied by FINRA fbo destination; can be B/D or Exchange) | |
| 109 | catDestDeptType | enum : CatDeptType | CAT destination department type | |
| 145 | routingRule | enum : RoutingRule | RoundRobin | |
| 154 | backupRouteCode | string(65) | backup route code (if above are unavailable) | |
| 166 | externParams | text1 | pass through params (must be understood by end point handler) usually [tag=value;tag=value;tag=value] | |
| 169 | comment | text1 | maintainer commments | |
| 172 | modifiedBy | string(24) | user who last modified this record | |
| 175 | modifiedIn | enum : SysEnvironment | ||
| 178 | timestamp | DateTime | timestamp of last modification |
REPEATING FIELDS
ExecBrkrAccnts
| # | Field | Type | Default Value | Comment |
|---|---|---|---|---|
| 180 | exchGroup | enum : ExchGroup | eg (NMS, CMX, ICE, EUREX) (NONE=ANY) | |
| 181 | secType | enum : SpdrSecType | eg (Stock, Future, Option) (NONE=ANY) | |
| 182 | execBrkrAccnt | string(16) | exec broker account (supplied by exec broker) (usually Account<1>) | |
| 183 | execBrkrClFirm | string(16) | exec broker client/firm (supplied by exec broker) (usually OnBehalfOfCompId<115>) | |
| 184 | execBrkrUserName | string(16) | exec broker user name (supplied by exec broker) |
ClearingFlip
| # | Field | Type | Default Value | Comment |
|---|---|---|---|---|
| 193 | exDest | string(16) | exDest (eg. CBOEOPT, NMSSTK, CMX$FUT) | |
| 187 | clrFlipType | enum : FlipType | type of clearing corp delivery | |
| 188 | clrFlipFirm | string(6) | deliverTo clearing member (eg. OCC#, NSCC#, MPID, or InstitutionID) | |
| 189 | clrFlipAccnt | string(16) | deliverTo client account (eg. OCC AID# or a DVP FBO code) | |
| 190 | clrAgent | string(10) | deliverTo agent (eg. DVP Agent Bank ID) | |
| 191 | clrTaxID | string(10) | deliverTo taxID (eg. DVP TaxID) | |
| 196 | clrBrkrMPID | string(8) | clearing broker (equity clearing only) [exDest is an option exch exDest=NMS$STK must exist in this list] |
RoutingTable
| # | Field | Type | Default Value | Comment |
|---|---|---|---|---|
| 151 | routingCode | string(65) | routing session code (is a RouteDefinition.pkey.routingCode) [RouteDefinition.execBrkrCode must match execBrkrCode] | |
| 197 | featureDisable | flag : FeatureDisable | used to disable certain route features before reaching the routingCode/routeDefinition |
ExchControl
| # | Field | Type | Default Value | Comment |
|---|---|---|---|---|
| 194 | exDest | string(16) | exchange (eg. NYSESTK, CBOEOPT, NMSSTK, CMXNIGHTHAWK) | |
| 163 | disable | enum : YesNo |
Get Schema API Call
- Python
- cUrl
import requests
# Replace with your desired MLINK URL
MLINK_PROD_URL = 'https://mlink-live.nms.saturn.spiderrockconnect.com/rest/json'
# Replace with your MLINK API Key
API_KEY = 'XXXX-XXXX-XXXX-XXXX'
# Replace with your desired MsgType.
MSG_TYPE = 'AccountRouteConfigTemplate'
# Request Parameters for Get Schema Of The MsgType
params = {
# Required Parameters
"apiKey": API_KEY,
"cmd": 'getschema',
"msgType": MSG_TYPE,
}
response = requests.get(MLINK_PROD_URL, params=params)
curl -G 'https://mlink-live.nms.saturn.spiderrockconnect.com/rest/json' \
--data-urlencode 'apiKey=XXXX-XXXX-XXXX-XXXX' \
--data-urlencode 'cmd=getschema' \
--data-urlencode 'msgType=AccountRouteConfigTemplate'
Get Msg API Call
- Python
- cUrl
import requests
# Replace with your desired MLINK URL
MLINK_PROD_URL = 'https://mlink-live.nms.saturn.spiderrockconnect.com/rest/json'
# Replace with your MLINK API Key
API_KEY = 'XXXX-XXXX-XXXX-XXXX'
# Replace with your desired MsgType.
MSG_TYPE = 'AccountRouteConfigTemplate'
# Replace with your pkey value for getting the specific message desired
PKEY = 'ReplaceThisValueForTheQueryToWork'
# Replace with your desired view. A "|" separated list of views can be provided
# If no view is provided, all views will be returned.
VIEW = 'execBrkrCode|enabled|relationship|catDestFirmIMID|catDestDeptType|routingRule|backupRouteCode|externParams|comment|modifiedBy|modifiedIn|timestamp'
# Replace with your desired where clause.
# a string in the form "field1:eq:valuse" or "(field1:ne:value1 & field1:ne:value2)
# "WHERE" clauses can contain the following comparison symbols:
# :gt: is greater than
# :ge: is greater than or equal to
# :lt: is less than
# :le: is less than or equal to
# :eq: is equal
# :ne: is not equal
# %26 is an AND statement
# | is an OR statement
# :sw: is starts with
# :ew: is ends with
# :cv: is contains values
# :nv: is does not contain value
# :cb: is contained between (two dates for instance) separated by '$'
WHERE = 'templateName:eq:ExampleString'
# Request Parameters for getmsg Of The MsgType
params = {
# Required Parameters
"apiKey": API_KEY,
"cmd": 'getmsg',
"pkey": PKEY,
"msgType": MSG_TYPE,
# Optional Parameters
"view": VIEW,
"where": WHERE
}
response = requests.get(MLINK_PROD_URL, params=params)
curl -G 'https://mlink-live.nms.saturn.spiderrockconnect.com/rest/json' \
--data-urlencode 'apiKey=XXXX-XXXX-XXXX-XXXX' \
--data-urlencode 'cmd=getmsg' \
--data-urlencode 'pkey=ReplaceThisValueForTheQueryToWork' \
--data-urlencode 'msgType=AccountRouteConfigTemplate' \
--data-urlencode 'view=execBrkrCode|enabled|relationship|catDestFirmIMID|catDestDeptType|routingRule|backupRouteCode|externParams|comment|modifiedBy|modifiedIn|timestamp' \
--data-urlencode 'where=templateName:eq:ExampleString'
Get Msgs API Call
- Python
- cUrl
import requests
# Replace with your desired MLINK URL
MLINK_PROD_URL = 'https://mlink-live.nms.saturn.spiderrockconnect.com/rest/json'
# Replace with your MLINK API Key
API_KEY = 'XXXX-XXXX-XXXX-XXXX'
# Replace with your desired MsgType.
MSG_TYPE = 'AccountRouteConfigTemplate'
# Replace with your desired view. A "|" separated list of views can be provided
# If no view is provided, all views will be returned
VIEW = 'execBrkrCode|enabled|relationship|catDestFirmIMID|catDestDeptType|routingRule|backupRouteCode|externParams|comment|modifiedBy|modifiedIn|timestamp'
# Replace with your desired where clause.
# a string in the form "field1:eq:value" or "(field1:ne:value1 & field1:ne:value2)
# "WHERE" clauses can contain the following comparison symbols:
# :gt: is greater than
# :ge: is greater than or equal to
# :lt: is less than
# :le: is less than or equal to
# :eq: is equal
# :ne: is not equal
# %26 is an AND statement
# | is an OR statement
# :sw: is starts with
# :ew: is ends with
# :cv: is contains values
# :nv: is does not contain value
# :cb: is contained between (two dates for instance) separated by '$'
WHERE = 'templateName:eq:ExampleString'
# Replace with your desired limit of how many messages you receive. The default limit is 500
LIMIT = 500
# Order clause eg. "(field1:DESC | field1:ASC | field2:DESC:ABS | field2:ASC:ABS" (default is unordered; default is faster)
ORDER = 'execBrkrCode:ASC'
# Request Parameters for getmsgs Of The MsgType
params = {
# Required Parameters
"apiKey": API_KEY,
"cmd": 'getmsgs',
"msgType": MSG_TYPE,
# Optional Parameters
"view": VIEW,
"where": WHERE,
"limit": LIMIT,
"order": ORDER
}
response = requests.get(MLINK_PROD_URL, params=params)
curl -G 'https://mlink-live.nms.saturn.spiderrockconnect.com/rest/json' \
--data-urlencode 'apiKey=XXXX-XXXX-XXXX-XXXX' \
--data-urlencode 'cmd=getmsgs' \
--data-urlencode 'msgType=AccountRouteConfigTemplate' \
--data-urlencode 'view=execBrkrCode|enabled|relationship|catDestFirmIMID|catDestDeptType|routingRule|backupRouteCode|externParams|comment|modifiedBy|modifiedIn|timestamp' \
--data-urlencode 'where=templateName:eq:ExampleString' \
--data-urlencode 'limit=500' \
--data-urlencode 'order=execBrkrCode:ASC'
Get Aggregate API Call
- Python
- cUrl
import requests
# Replace with your desired MLINK URL
MLINK_PROD_URL = 'https://mlink-live.nms.saturn.spiderrockconnect.com/rest/json'
# Replace with your MLINK API Key
API_KEY = 'XXXX-XXXX-XXXX-XXXX'
# Replace with your desired MsgType.
MSG_TYPE = 'AccountRouteConfigTemplate'
# Replace with fields you want to see aggregate values for. A "|" separated list of measures should be provided
MEASURE = 'execBrkrCode|enabled|relationship|catDestFirmIMID|catDestDeptType|routingRule|backupRouteCode|externParams|comment|modifiedBy|modifiedIn|timestamp'
# Replace with fields you want to see aggregated. A "|" separated list of fields should be provided
GROUP = 'enabled|relationship|catDestDeptType|routingRule|modifiedIn'
# Replace with your desired where clause.
# a string in the form "field1:eq:value" or "(field1:ne:value1 & field1:ne:value2)
# "WHERE" clauses can contain the following comparison symbols:
# :gt: is greater than
# :ge: is greater than or equal to
# :lt: is less than
# :le: is less than or equal to
# :eq: is equal
# :ne: is not equal
# %26 is an AND statement
# | is an OR statement
# :sw: is starts with
# :ew: is ends with
# :cv: is contains values
# :nv: is does not contain value
# :cb: is contained between (two dates for instance) separated by '$'
WHERE = 'templateName:eq:ExampleString'
# Request Parameters for getaggregate Of The MsgType
params = {
# Required Parameters
"apiKey": API_KEY,
"cmd": 'getaggregate',
"msgType": MSG_TYPE,
"measure": MEASURE,
"group": GROUP,
# Optional Parameters
"where": WHERE,
}
response = requests.get(MLINK_PROD_URL, params=params)
curl -G 'https://mlink-live.nms.saturn.spiderrockconnect.com/rest/json' \
--data-urlencode 'apiKey=XXXX-XXXX-XXXX-XXXX' \
--data-urlencode 'cmd=getaggregate' \
--data-urlencode 'msgType=AccountRouteConfigTemplate' \
--data-urlencode 'measure=execBrkrCode|enabled|relationship|catDestFirmIMID|catDestDeptType|routingRule|backupRouteCode|externParams|comment|modifiedBy|modifiedIn|timestamp' \
--data-urlencode 'group=enabled|relationship|catDestDeptType|routingRule|modifiedIn' \
--data-urlencode 'where=templateName:eq:ExampleString'
Get Count API Call
- Python
- cUrl
import requests
# Replace with your desired MLINK URL
MLINK_PROD_URL = 'https://mlink-live.nms.saturn.spiderrockconnect.com/rest/json'
# Replace with your MLINK API Key
API_KEY = 'XXXX-XXXX-XXXX-XXXX'
# Replace with your desired MsgType.
MSG_TYPE = 'AccountRouteConfigTemplate'
# Replace with your desired where clause.
# a string in the form "field1:eq:value" or "(field1:ne:value1 & field1:ne:value2)
# "WHERE" clauses can contain the following comparison symbols:
# :gt: is greater than
# :ge: is greater than or equal to
# :lt: is less than
# :le: is less than or equal to
# :eq: is equal
# :ne: is not equal
# %26 is an AND statement
# | is an OR statement
# :sw: is starts with
# :ew: is ends with
# :cv: is contains values
# :nv: is does not contain value
# :cb: is contained between (two dates for instance) separated by '$'
WHERE = 'templateName:eq:ExampleString'
# Request Parameters for getCount Of The MsgType
params = {
# Required Parameters
"apiKey": API_KEY,
"cmd": 'getcount',
"msgType": MSG_TYPE,
# Optional Parameters
"where": WHERE,
}
response = requests.get(MLINK_PROD_URL, params=params)
curl -G 'https://mlink-live.nms.saturn.spiderrockconnect.com/rest/json' \
--data-urlencode 'apiKey=XXXX-XXXX-XXXX-XXXX' \
--data-urlencode 'cmd=getcount' \
--data-urlencode 'msgType=AccountRouteConfigTemplate' \
--data-urlencode 'where=templateName:eq:ExampleString'
Post Msgs API Call
- Python
- cUrl
import requests
# Replace with your desired MLINK URL
MLINK_PROD_URL = 'https://mlink-live.nms.saturn.spiderrockconnect.com/rest/json'
# Replace with your MLINK API Key
API_KEY = 'XXXX-XXXX-XXXX-XXXX'
# Request Parameters
params = {
# Required Parameters
"apiKey": API_KEY,
"cmd": 'postmsgs',
"postaction": "I", # (I)nsert, (U)pdate, (R)eplace, or (D)elete
"postmerge": "Y", # (Y)es or (N)o
}
payload = {
"header": {
"mTyp": "AccountRouteConfigTemplate"
},
"message": {
"pkey": {
"templateName": "exampleString", // string
"clientFirm": "exampleString" // string
},
"execBrkrCode": "exampleString", // string
"enabled": "enumValue", // enum(YesNo) - None, Yes, No
"relationship": "enumValue", // enum(RelationshipType) - None, EXSMember, EXSRouter, EXSTech, Platform, SRConnect, Advisor
"catDestFirmIMID": "exampleString", // string
"catDestDeptType": "enumValue", // enum(CatDeptType) - None, Exchange, Agency, ATS, DMA, Sponsored, Trading, Other
"routingRule": "RoundRobin", // enum(RoutingRule) - None, RoundRobin, InOrder. Default=RoundRobin
"backupRouteCode": "exampleString", // string
"externParams": "exampleString", // text1
"comment": "exampleString", // text1
"modifiedBy": "exampleString", // string
"modifiedIn": "enumValue", // enum(SysEnvironment) - None, Neptune, Pluto, V7_Stable, V7_Latest, Saturn, Venus, Mars, SysTest, V7_Current
"timestamp": "2025-01-01 12:00:00.000000", // yyyy-MM-dd HH:mm:ss.SSSSSS
"ExecBrkrAccnts": [ // Repeating Field
{
"exchGroup": "enumValue", // enum(ExchGroup) - None, NMS, CMX, CFE, ICE, SCE, EUREX, EURONEXT, CBOE_EU, CEDX, ICEFEC, ICEFEF
"secType": "enumValue", // enum(SpdrSecType) - None, Stock, Future, Option
"execBrkrAccnt": "exampleString", // string
"execBrkrClFirm": "exampleString", // string
"execBrkrUserName": "exampleString" // string
}
],
"ClearingFlip": [ // Repeating Field
{
"exDest": "exampleString", // string
"clrFlipType": "enumValue", // enum(FlipType) - None, CMTA, Giveup, QSR, NSCC_Flip, DVP, BrkrAccnt
"clrFlipFirm": "exampleString", // string
"clrFlipAccnt": "exampleString", // string
"clrAgent": "exampleString", // string
"clrTaxID": "exampleString", // string
"clrBrkrMPID": "exampleString" // string
}
],
"RoutingTable": [ // Repeating Field
{
"routingCode": "exampleString", // string
"featureDisable": 0 // flag(FeatureDisable)
}
],
"ExchControl": [ // Repeating Field
{
"exDest": "exampleString", // string
"disable": "enumValue" // enum(YesNo) - None, Yes, No
}
]
}
}
response = requests.post(MLINK_PROD_URL, params=params, json=payload)
curl -X POST 'https://mlink-live.nms.saturn.spiderrockconnect.com/rest/json' \
--data-urlencode 'apiKey=XXXX-XXXX-XXXX-XXXX' \
--data-urlencode 'cmd=postmsgs' \
--data-urlencode 'postaction=I' \ # (I)nsert, (U)pdate, (R)eplace, or (D)elete
--data-urlencode 'postmerge=Y' \ # (Y)es or (N)o
--header 'Content-Type: application/json' \
--data '{
"header": {
"mTyp": "AccountRouteConfigTemplate"
},
"message": {
"pkey": {
"templateName": "exampleString", // string
"clientFirm": "exampleString" // string
},
"execBrkrCode": "exampleString", // string
"enabled": "enumValue", // enum(YesNo) - None, Yes, No
"relationship": "enumValue", // enum(RelationshipType) - None, EXSMember, EXSRouter, EXSTech, Platform, SRConnect, Advisor
"catDestFirmIMID": "exampleString", // string
"catDestDeptType": "enumValue", // enum(CatDeptType) - None, Exchange, Agency, ATS, DMA, Sponsored, Trading, Other
"routingRule": "RoundRobin", // enum(RoutingRule) - None, RoundRobin, InOrder. Default=RoundRobin
"backupRouteCode": "exampleString", // string
"externParams": "exampleString", // text1
"comment": "exampleString", // text1
"modifiedBy": "exampleString", // string
"modifiedIn": "enumValue", // enum(SysEnvironment) - None, Neptune, Pluto, V7_Stable, V7_Latest, Saturn, Venus, Mars, SysTest, V7_Current
"timestamp": "2025-01-01 12:00:00.000000", // yyyy-MM-dd HH:mm:ss.SSSSSS
"ExecBrkrAccnts": [ // Repeating Field
{
"exchGroup": "enumValue", // enum(ExchGroup) - None, NMS, CMX, CFE, ICE, SCE, EUREX, EURONEXT, CBOE_EU, CEDX, ICEFEC, ICEFEF
"secType": "enumValue", // enum(SpdrSecType) - None, Stock, Future, Option
"execBrkrAccnt": "exampleString", // string
"execBrkrClFirm": "exampleString", // string
"execBrkrUserName": "exampleString" // string
}
],
"ClearingFlip": [ // Repeating Field
{
"exDest": "exampleString", // string
"clrFlipType": "enumValue", // enum(FlipType) - None, CMTA, Giveup, QSR, NSCC_Flip, DVP, BrkrAccnt
"clrFlipFirm": "exampleString", // string
"clrFlipAccnt": "exampleString", // string
"clrAgent": "exampleString", // string
"clrTaxID": "exampleString", // string
"clrBrkrMPID": "exampleString" // string
}
],
"RoutingTable": [ // Repeating Field
{
"routingCode": "exampleString", // string
"featureDisable": 0 // flag(FeatureDisable)
}
],
"ExchControl": [ // Repeating Field
{
"exDest": "exampleString", // string
"disable": "enumValue" // enum(YesNo) - None, Yes, No
}
]
}
}'